Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFont Class Reference

`#include <deFont_priv.hpp>`

Inheritance diagram for deFont:

[legend]
Collaboration diagram for deFont:

[legend]
List of all members.

## Public Member Functions
int | Release ()
| instant destruction of this object
| deFont ()
| deFont (const char *Font, long Height, long FontFlags, long ForeColor)
| deFont (IdeBitmapProxy *Font, long Height, long *Widths)
deBoolean | SetFont (const char *Font, long Height, long FontFlags)
deBoolean | SetFont (IdeBitmapProxy *Font, long Height, long *Widths)
| currently not implemented
deBoolean | SetColor (deARGB Color)
deBoolean | SetScale (deDouble Scale)
deFloat | GetStringWidth (char *String)
deFloat | GetStringHeight (char *String)
Ide2DObject * | Print2D (IdeDriver *Driver, deRect *ClipRect, deDouble X, deDouble Y, deDouble Depth, int *pStringWidth, int *pStringHeight, int DisplayFlags, const char *Format,...)
deBoolean | Print3D (deVertex *Position, deVertex *Rotation, deDouble Depth, int DisplayFlags, const char *Format,...)
| currently not implemented
## Protected Member Functions
| ~deFont ()
## Private Member Functions
void | InitData ()
IdeVertexBuffer * | deFont::CreateVertexBuffer (deDouble X, deDouble Y, deDouble Depth, int *pStringWidth, int *pStringHeight, int DisplayFlags, char *Buffer)
IdeRenderTexture * | GetTextureState ()
## Private Attributes
deARGB | m_Color
IdeBitmapProxy * | m_FontTexture
deDouble | m_Scale
deDouble | m_InternalScale
deFloatRect | m_Coords [224]
IdeRenderTexture * | m_TextureState

## Constructor & Destructor Documentation

deFont::~deFont | ( |  | ) | `[protected]`

deFont::deFont | ( |  | ) |

deFont::deFont | ( | const char * | Font,
|  | long | Height,
|  | long | FontFlags,
|  | long | ForeColor
| ) |

deFont::deFont | ( | IdeBitmapProxy * | Font,
|  | long | Height,
|  | long * | Widths
| ) |

## Member Function Documentation

IdeVertexBuffer* deFont::deFont::CreateVertexBuffer | ( | deDouble | X,
|  | deDouble | Y,
|  | deDouble | Depth,
|  | int * | pStringWidth,
|  | int * | pStringHeight,
|  | int | DisplayFlags,
|  | char * | Buffer
| ) | `[private]`

deFloat deFont::GetStringHeight | ( | char * | String | ) | `[virtual]`

| Implements IdeFont.

deFloat deFont::GetStringWidth | ( | char * | String | ) | `[virtual]`

| Implements IdeFont.

IdeRenderTexture * deFont::GetTextureState | ( |  | ) | `[private]`

void deFont::InitData | ( |  | ) | `[private]`

Ide2DObject * deFont::Print2D | ( | IdeDriver * | Driver,
|  | deRect * | ClipRect,
|  | deDouble | X,
|  | deDouble | Y,
|  | deDouble | Depth,
|  | int * | pStringWidth,
|  | int * | pStringHeight,
|  | int | DisplayFlags,
|  | const char * | Format,
|  | ... |
| ) | `[virtual]`

| Print text into a 2D object, which can be rendered through Ide2DCollection. You can obtain the top-level Ide2DCollection from IdeRender::Get2DCollection Implements IdeFont.

deBoolean deFont::Print3D | ( | deVertex * | Position,
|  | deVertex * | Rotation,
|  | deDouble | Depth,
|  | int | DisplayFlags,
|  | const char * | Format,
|  | ... |
| ) | `[virtual]`

| currently not implemented Implements IdeFont.

int deFont::Release | ( |  | ) | `[virtual]`

| instant destruction of this object Implements IdeFont.

deBoolean deFont::SetColor | ( | deARGB | Color | ) | `[virtual]`

| Set the color of the font. Specify a color with alpha < 255 to have a translucency in the opaque sections of text. Implements IdeFont.

deBoolean deFont::SetFont | ( | IdeBitmapProxy * | Font,
|  | long | Height,
|  | long * | Widths
| ) | `[virtual]`

| currently not implemented Implements IdeFont.

deBoolean deFont::SetFont | ( | const char * | Font,
|  | long | Height,
|  | long | FontFlags
| ) | `[virtual]`

  | Set the current font settings Parameters:
  Font | A character string specifying a system-font name (ie "Arial")
  Height | The point height of the font
  FontFlags | A combination of flags specified for font style
Implements IdeFont.

deBoolean deFont::SetScale | ( | deDouble | Scale | ) | `[virtual]`

| Implements IdeFont.

## Member Data Documentation

deARGB deFont::m_Color`[private]`

deFloatRect deFont::m_Coords[224]`[private]`

IdeBitmapProxy* deFont::m_FontTexture`[private]`

deDouble deFont::m_InternalScale`[private]`

deDouble deFont::m_Scale`[private]`

IdeRenderTexture* deFont::m_TextureState`[private]`

The documentation for this class was generated from the following files:

- deFont_priv.hpp
- deFont.cpp